> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh an authentication token

> Refreshes an existing authentication token using a refresh token.



## OpenAPI

````yaml https://stash.seraph.si/json post /auth/refresh
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /auth/refresh:
    post:
      tags:
        - Auth
      summary: Refresh an authentication token
      description: Refreshes an existing authentication token using a refresh token.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/admin.BodyPost'
        description: Refresh token payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/admin.BodyPost'
          description: Successfully refreshed token
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: 'Bad Request: Invalid token or missing payload'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: 'Unauthorized: Token is invalid or deactivated'
components:
  schemas:
    admin.BodyPost:
      properties:
        expires_at:
          type: string
        token:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````